
echo "******************************************************" > platform.info
echo "*  Artenum's Platform Information Collection Script  *" >> platform.info
echo "*                Version 1.0.0                       *" >> platform.info
echo "*                                                    *" >> platform.info
echo "* See http://www.artenum.com for further information *" >> platform.info
echo "* (c) Artenum sarl, France, 2011                     *" >> platform.info
echo "******************************************************" >> platform.info
echo >> platform.info
echo "Collected by: "`whoami` >> platform.info
echo "Hostname: "`hostname` >> platform.info
echo "Collection date: "`date` >> platform.info
echo >> platform.info
echo "OS information: " >> platform.info
echo `uname -a` >> platform.info
cat /etc/*release >> platform.info
echo >> platform.info
echo "GLbic version: " >> platform.info
ldd --version >> platform.info
echo >> platform.info
echo "Gcc version: " >> platform.info
gcc --version >> platform.info

echo "******************************************************" >> platform.info
echo "*                         End                        *" >> platform.info
echo "******************************************************" >> platform.info

